<?xml version="1.0" encoding="utf-8"?>
<selector xmlns:android="http://schemas.android.com/apk/res/android">

        
    <item android:state_enabled="false">
        <layer-list>
            <item><shape android:shape="rectangle">
                    <solid android:color="#FFA6A6A6" />

                    <corners android:bottomLeftRadius="5dip" android:bottomRightRadius="5dip" android:topLeftRadius="5dip" android:topRightRadius="5dip" />
                </shape></item>
            <item android:bottom="1px" android:left="1px" android:right="1px" android:top="1px"><shape>
                    <gradient android:angle="90" android:centerX="0.5" android:centerY="0.5" android:endColor="#FF727272" android:startColor="#FFA6A6A6" android:type="linear" />

                    <corners android:bottomLeftRadius="5dip" android:bottomRightRadius="5dip" android:topLeftRadius="5dip" android:topRightRadius="5dip" />
                </shape></item>
                <item android:bottom="5px" android:drawable="@drawable/barcode_normal" android:left="10px" android:right="10px" android:top="5px"></item>
        </layer-list>
    </item>
    
    
    <item android:state_pressed="true">
        <layer-list>
            <item><shape android:shape="rectangle">
                    <solid android:color="#FF53a6e9" />

                    <corners android:bottomLeftRadius="5dip" android:bottomRightRadius="5dip" android:topLeftRadius="5dip" android:topRightRadius="5dip" />
                </shape></item>
            <item android:bottom="1px" android:left="1px" android:right="1px" android:top="1px"><shape>
                    <gradient android:angle="90" android:centerX="0.5" android:centerY="0.5" android:endColor="#FF53a6e9" android:startColor="#FF2272d7" android:type="linear" />

                    <corners android:bottomLeftRadius="5dip" android:bottomRightRadius="5dip" android:topLeftRadius="5dip" android:topRightRadius="5dip" />
                </shape></item>
            <item android:bottom="5px" android:drawable="@drawable/barcode_normal" android:left="5px" android:right="5px" android:top="5px"></item>
        </layer-list>
    </item>
        
    
    <item android:state_pressed="false">
        <layer-list>
            <item><shape android:shape="rectangle">
                    <solid android:color="#FF53a6e9" />

                    <corners android:bottomLeftRadius="5dip" android:bottomRightRadius="5dip" android:topLeftRadius="5dip" android:topRightRadius="5dip" />
                </shape></item>
            <item android:bottom="1px" android:left="1px" android:right="1px" android:top="1px"><shape>
                    <gradient android:angle="90" android:centerX="0.5" android:centerY="0.5" android:endColor="#FF53a6e9" android:startColor="#FF2272d7" android:type="linear" />

                    <corners android:bottomLeftRadius="5dip" android:bottomRightRadius="5dip" android:topLeftRadius="5dip" android:topRightRadius="5dip" />
                </shape></item>
            <item android:bottom="5px" android:drawable="@drawable/barcode_normal" android:left="10px" android:right="10px" android:top="5px"></item>
        </layer-list>
    </item>
    

</selector>